import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.Iterator;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

public class JsonReading {

	public static void main(String[] args) throws IOException, ParseException {
		String fichierJson = "json.txt";
		JSONParser jsonParser = new JSONParser();
		FileReader fileReader = new FileReader(fichierJson);
		JSONObject jsonObject = (JSONObject) jsonParser.parse(fileReader);
		String nomSite = (String) jsonObject.get("Nom du site");
		System.out.println("Nom du site: " + nomSite);
		Long livres = (Long) jsonObject.get("Livres");
		System.out.println("Livres : " + livres);
		String url = (String) jsonObject.get("URL");
		System.out.println("URL: " + url);
		JSONArray bibliotheque = (JSONArray) jsonObject.get("Bibliothque");
		for (Object ouvrage : bibliotheque) {
			System.out.println(ouvrage);
		}

	}

}
