/*
 * Created on 26 janv. 2007
 * Annick Fron
 * Exemple de classe serialisable avec reference sur la classe Variete
 * 
 */
package serialisation;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.Serializable;



public class Fleur implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Variete variete;
	private String couleur;
	public Fleur(String uneCouleur) {
		couleur=uneCouleur;
	}
// accesseurs
	public String getCouleur() {
		return couleur;
	}
	public void setCouleur(String couleur) {
		this.couleur = couleur;
	}
	public Variete getVariete() {
		return variete;
	}
	public void setVariete(Variete variete) {
		this.variete = variete;
	}
//test d'ecriture dans un fichier
		public static void main(String[]args){
			FileOutputStream fos;
			try {
				fos = new FileOutputStream("fleur.ser");
				ObjectOutputStream out = new ObjectOutputStream(fos);
				out.writeObject(new Fleur("rouge"));
				out.close();
				fos.close();
			} catch (FileNotFoundException e) {

				e.printStackTrace();
			} catch (IOException e) {
	
				e.printStackTrace();
			}
	
		}
}
