import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

import com.exemple.tutoriel.AdresseProto;
import com.exemple.tutoriel.AdresseProto.CarnetAdresse;
import com.exemple.tutoriel.AdresseProto.Personne;




public class EcritureProtobuff {

	/**
	 * @param args
	 * @throws IOException 
	 * @throws FileNotFoundException 
	 */
	public static void main(String[] args) throws FileNotFoundException, IOException {
		CarnetAdresse.Builder carnetAdresse =CarnetAdresse.newBuilder(); 
		Personne.Builder personne = Personne.newBuilder();
		personne.setId(1);
		personne.setNom("Vronique");
		Personne.NumeroTelephone.Builder numeroPersonnel = 
			Personne.NumeroTelephone.newBuilder().setNumero("123456");
		numeroPersonnel.setType(Personne.TypeTelephone.PERSONNEL);
		personne.addTelephone(numeroPersonnel);
		carnetAdresse.addPersonne(personne); 
		carnetAdresse.build().writeTo(new FileOutputStream("carnet.txt"));

	}

}
