import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

import com.exemple.tutoriel.AdresseProto.CarnetAdresse;
import com.exemple.tutoriel.AdresseProto.Personne;


public class LectureProtobuff {

	public static void main(String[] args) throws FileNotFoundException, IOException {
		
		CarnetAdresse.Builder carnetAdresse = CarnetAdresse.newBuilder();
		carnetAdresse.mergeFrom(new FileInputStream("carnet.txt"));
		System.out.println("Nombre d'adresses "+carnetAdresse.getPersonneCount());
		for (Personne pers : carnetAdresse.getPersonneList())
			System.out.println(pers.getNom());
	}

}
