
import java.util.concurrent.ForkJoinPool;
import java.util.concurrent.RecursiveAction;
public class TestRecursiveAction {
	public static void main(String[] args) {
		ForkJoinPool pool = new ForkJoinPool();
		int [] data = {1,2,3,4,5,6,7,8,9,10};
		Carre app = new Carre(data, 0, data.length);
		pool.invoke(app);
		System.out.println(app.getResultat()); 
	}
}	
class Carre extends RecursiveAction {
	   final int LIMITE = 3;
	   //on garde le resultat comme variable statique
	   private static int resultat;
	   int debut, fin;
	   int[] donnees;
	   Carre(int[] data, int start, int end) {
	
		   this.debut = start;
		   this.fin = end;
		   this.donnees = data;
	   }
	   @Override
	   protected void compute() {
		   if((fin - debut)< LIMITE){
			   System.out.println("Je calcule de "+debut+ " a "+fin);
			   for(int i= debut;i<fin;i++){
				   resultat =resultat + donnees[i]*donnees[i];   
			   }
		   }else {
			 int milieu = (debut + fin)/2;
			 System.out.println("Je divise en deux");
			 Carre gauche = new Carre(donnees, debut, milieu); 
			 Carre droit = new Carre(donnees, milieu, fin);
			 gauche.fork();
			 droit.fork();
			 gauche.join();
			 droit.join();
		   }
	   }
	public static int getResultat() {
		return resultat;
	}
	public static void setResultat(int result) {
		Carre.resultat = result;
	}
	 }