package future.test;

/* Annick Fron
 * Utilisation d'un executeur pour un Callable
 */

import java.util.concurrent.Callable;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import junit.framework.TestCase;

public class TestCallable extends TestCase{
	Callable<String> calculateur;
	public void setUp() {
		calculateur= new Callable<String>(){
			public String call(){ return calcul();}
			public String calcul(){ System.out.println("calcul");
			return "succes";}
		};
	}
	public void testAppel() {
	// on peut recuperer le resultat contrairement a un Runnable
		try {
			System.out.println(calculateur.call());
		} catch (Exception e) {
			
			e.printStackTrace();
		}}
	// on peut l'executer avec un Executor particulier
	public void testExecution() {
	 ExecutorService executor =Executors.newSingleThreadExecutor();
	 executor.submit(calculateur);
	}}


