package proxydynamique.test;
/* Annick Fron
 * test de la journalisation de l'appel des methodes de la voiture
 */

import java.lang.reflect.Proxy;

import proxydynamique.InterfaceVoiture;
import proxydynamique.JournalInvocationHandler;
import proxydynamique.Voiture;
import junit.framework.TestCase;

public class TestProxy extends TestCase {
	
	public void test() {
		Voiture voiture = new Voiture();
		ClassLoader cl = voiture.getClass().getClassLoader();
		Class[] listeClasses= new Class[]{InterfaceVoiture.class};
		JournalInvocationHandler journal= new JournalInvocationHandler(voiture);
		InterfaceVoiture proxy=(InterfaceVoiture) Proxy.newProxyInstance(cl,  
		      listeClasses, journal);
		proxy.demarre();
		proxy.arrete();

	}

}
